summaryrefslogtreecommitdiffstats
path: root/c/src/tests/tools/generic/difftest
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>1997-04-15 17:40:38 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>1997-04-15 17:40:38 +0000
commitb1a4ca844612fa83c856840d55bdb84764b82232 (patch)
tree39184f19397abf0befac1a727e4d1ada565051ba /c/src/tests/tools/generic/difftest
parentSwitched all bsps which had an implementation of sbrk.c which only (diff)
downloadrtems-b1a4ca844612fa83c856840d55bdb84764b82232.tar.bz2
Added line to install test screens so difftest does not have to have
a path back into the source tree. This would be better for binary distributions as well since you now have the correct output at the install point.
Diffstat (limited to '')
-rw-r--r--c/src/tests/tools/generic/difftest16
1 files changed, 9 insertions, 7 deletions
diff --git a/c/src/tests/tools/generic/difftest b/c/src/tests/tools/generic/difftest
index 8d3404a337..6d94dafd2f 100644
--- a/c/src/tests/tools/generic/difftest
+++ b/c/src/tests/tools/generic/difftest
@@ -1,6 +1,6 @@
#!KSHELL -p
#
-# Check test results against official output in the src tree
+# Check test results against official output from the src tree
#
# $Id$
#
@@ -65,12 +65,14 @@ args=$*
# Run the tests
#
-cd ./$logdir || fatal "No log directory: ./$logdir"
+test -d $logdir || fatal "No log directory: ./$logdir"
tests="$args"
if [ ! "$tests" ]
then
+ cd $logdir
set -- `echo sp?? mp??_? psx??`
+ cd ..
tests="$*"
fi
@@ -78,7 +80,7 @@ for t in $tests
do
logfile=$t
- if [ ! -f $logfile ]
+ if [ ! -f $logdir/$logfile ]
then
continue
fi
@@ -90,16 +92,16 @@ do
mp*)
mptest=`echo $t | sed 's/_.//'`
node=`echo $t | sed 's/...._//'`
- scn_file=$RTEMS_ROOT/c/src/tests/mptests/$mptest/node$node/$mptest.scn;;
+ scn_file=mptests/$mptest/node$node/$mptest.scn;;
sp*)
- scn_file=$RTEMS_ROOT/c/src/tests/sptests/$t/$t.scn;;
+ scn_file=sptests/$t/$t.scn;;
psx*)
- scn_file=$RTEMS_ROOT/c/src/tests/psxtests/$t/$t.scn;;
+ scn_file=psxtests/$t/$t.scn;;
*)
fatal "unknown test $t";;
esac
- sed -e '/^$/d' < $logfile | diff -b $scn_file -
+ sed -e '/^$/d' < $logdir/$logfile | diff -b screens/$scn_file -
echo
echo
done